Skip to content
Docs

List NKS Controllers

GET/v1/nks/clusters/{cluster_id}/controllers

List all controllers in an NKS cluster

Path ParametersExpand Collapse
cluster_id: string
Query ParametersExpand Collapse
cursor: optional string

Pagination cursor returned by a previous request

limit: optional number

Maximum number of items to return

maximum100
minimum10
ReturnsExpand Collapse
NKSControllerList object { items, pagination }
items: array of NKSController { id, created_at, instance_type, 4 more }
id: string

Unique identifier for the controller.

created_at: string

When the controller was created.

formatdate-time
instance_type: string

Instance type name.

name: string

Name of the controller.

private_ip: string

Private IP address of the controller.

Status of the resource.

One of the following:
"pending"
"creating"
"updating"
"ready"
"deleting"
"deleted"
"error"
updated_at: string

When the controller was last updated.

formatdate-time

List NKS Controllers

curl https://api.nirvanalabs.io/v1/nks/clusters/$CLUSTER_ID/controllers \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2025-01-01T00:00:00Z",
      "instance_type": "n1-standard-8",
      "name": "my-controller-0",
      "private_ip": "10.0.0.10",
      "status": "ready",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}
Returns Examples
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2025-01-01T00:00:00Z",
      "instance_type": "n1-standard-8",
      "name": "my-controller-0",
      "private_ip": "10.0.0.10",
      "status": "ready",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}